﻿/********************************************************
 *  ██████╗  ██████╗████████╗██╗
 * ██╔════╝ ██╔════╝╚══██╔══╝██║
 * ██║  ███╗██║        ██║   ██║
 * ██║   ██║██║        ██║   ██║
 * ╚██████╔╝╚██████╗   ██║   ███████╗
 *  ╚═════╝  ╚═════╝   ╚═╝   ╚══════╝
 * Geophysical Computational Tools & Library (GCTL)
 *
 * Copyright (c) 2023  Yi Zhang (yizhang-geo@zju.edu.cn)
 *
 * GCTL is distributed under a dual licensing scheme. You can redistribute 
 * it and/or modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either version 2 
 * of the License, or (at your option) any later version. You should have 
 * received a copy of the GNU Lesser General Public License along with this 
 * program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * If the terms and conditions of the LGPL v.2. would prevent you from using 
 * the GCTL, please consider the option to obtain a commercial license for a 
 * fee. These licenses are offered by the GCTL's original author. As a rule, 
 * licenses are provided "as-is", unlimited in time for a one time fee. Please 
 * send corresponding requests to: yizhang-geo@zju.edu.cn. Please do not forget 
 * to include some description of your company and the realm of its activities. 
 * Also add information on how to contact you by electronic and paper mail.
 ******************************************************/

#ifndef _GCTL_ALGORITHM_H
#define _GCTL_ALGORITHM_H

#include "algorithms/algorithm_func.h"
#include "algorithms/glni.h"
#include "algorithms/interpolate.h"
#include "algorithms/extrapolate.h"
#include "algorithms/heap_sort.h"
#include "algorithms/boxsort2d.h"
#include "algorithms/boxsort_sph.h"
#include "algorithms/variogram.h"
#include "algorithms/fir_filter.h"
#include "algorithms/space_filter.h"
#include "algorithms/sinkhorn.h"
#include "algorithms/kde.h"
#include "algorithms/autodiff.h"
#include "algorithms/multinary.h"
#include "algorithms/emd.h"
#include "algorithms/fft_filter.h"

#endif // _GCTL_ALGORITHM_H